import { DataAccess } from "db-action";
import { Mapping, ItemsSet } from "db-action/sql";
import * as mysql from "mysql2/promise";
import { ConnectionOptions, PoolOptions } from "mysql2/promise";
export { ConnectionOptions, PoolOptions, DataAccess, Mapping, ItemsSet };
export interface MySqlDataAccessOption {
    isLoggingActions: boolean;
}
export declare function createWithDedicatedConnections(mapping: Mapping, connectionOptions: mysql.ConnectionOptions, options?: Partial<MySqlDataAccessOption>): Promise<DataAccess>;
export declare function createWithConnectionPool(mapping: Mapping, poolOptions: mysql.PoolOptions, options?: Partial<MySqlDataAccessOption>): Promise<DataAccess>;
export declare type ConnectionProvider = () => Promise<mysql.Connection | mysql.PoolConnection>;
export declare function createWithConnectionProvider(mapping: Mapping, connectionProvider: ConnectionProvider, options?: Partial<MySqlDataAccessOption>): Promise<DataAccess>;
