import { Transaction, SqlStatement, SqlSelectStatement, SqlInsertStatement, SqlUpdateStatement, SqlDeleteStatement, SqlStatementResult, SqlSelectStatementResult, InsertStatementResult, UpdateStatementResult, DeleteStatementResult } from "db-action/sql";
import * as mysql from "mysql2/promise";
export declare class MySqlTransaction implements Transaction {
    private connection;
    private constructor();
    static create(connection: mysql.Connection | mysql.PoolConnection): Promise<MySqlTransaction>;
    executeSelectAsync(statement: SqlSelectStatement): Promise<SqlSelectStatementResult>;
    executeInsertAsync(statement: SqlInsertStatement): Promise<InsertStatementResult>;
    executeUpdateAsync(statement: SqlUpdateStatement): Promise<UpdateStatementResult>;
    executeDeleteAsync(statement: SqlDeleteStatement): Promise<DeleteStatementResult>;
    executeChangeAsync(statement: SqlStatement): Promise<SqlStatementResult>;
    private getParameterValues;
    commitAsync(): Promise<void>;
    rollbackAsync(): Promise<void>;
    close(): void;
}
